Package com.fasterxml.jackson.dataformat.xml.util

## Class XmlRootNameLookup

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.XmlRootNameLookup

All Implemented Interfaces:
  `java.io.Serializable`

    public class XmlRootNameLookup
    extends java.lang.Object
    implements java.io.Serializable

Helper class used for efficiently finding root element name used with XML serializations.

See Also:
  Serialized Form

### Field Summary

Fields
`protected com.fasterxml.jackson.databind.util.LRUMap<com.fasterxml.jackson.databind.type.ClassKey,​javax.xml.namespace.QName>` `_rootNames` For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

### Constructor Summary

Constructors
`XmlRootNameLookup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.xml.namespace.QName` `_findRootName​(java.lang.Class<?> rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`javax.xml.namespace.QName` `findRootName​(com.fasterxml.jackson.databind.JavaType rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`javax.xml.namespace.QName` `findRootName​(java.lang.Class<?> rootType, com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`
`protected java.lang.Object` `readResolve()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _rootNames

    protected final transient com.fasterxml.jackson.databind.util.LRUMap<com.fasterxml.jackson.databind.type.ClassKey,​javax.xml.namespace.QName> _rootNames

For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

Note: changed to `transient` for 2.3; no point in serializing such state

### Constructor Detail

#### XmlRootNameLookup

    public XmlRootNameLookup()

### Method Detail

#### readResolve

    protected java.lang.Object readResolve()

#### findRootName

    public javax.xml.namespace.QName findRootName​(com.fasterxml.jackson.databind.JavaType rootType,
                                                  com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

#### findRootName

    public javax.xml.namespace.QName findRootName​(java.lang.Class<?> rootType,
                                                  com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

#### _findRootName

    protected javax.xml.namespace.QName _findRootName​(java.lang.Class<?> rootType,
                                                      com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)